'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _formsyReact = require('formsy-react');

var _formsyReact2 = _interopRequireDefault(_formsyReact);

var _MuditaFormMixins = require('./mixins/MuditaFormMixins');

var _MuditaFormMixins2 = _interopRequireDefault(_MuditaFormMixins);

var _muditaformHorizontal = require('muditaform-horizontal');

var _muditaformHorizontal2 = _interopRequireDefault(_muditaformHorizontal);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MuditaForm = _react2.default.createClass({
  displayName: 'MuditaForm',


  mixins: [_MuditaFormMixins2.default],

  propTypes: {
    children: _react2.default.PropTypes.node
  },

  childContextTypes: {
    layout: _react2.default.PropTypes.object,
    labelClassName: _react2.default.PropTypes.string
  },

  getChildContext: function getChildContext() {
    return { layout: this.props.layout || _muditaformHorizontal2.default,
      labelClassName: this.props.labelClassName };
  },


  render: function render() {
    return _react2.default.createElement(
      _formsyReact2.default.Form,
      this.props,
      this.props.children
    );
  }

});

module.exports = MuditaForm;