'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _muditaformHorizontal = require('muditaform-horizontal');

var _muditaformHorizontal2 = _interopRequireDefault(_muditaformHorizontal);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = {

  propTypes: {
    // Un layout doit apparaitre ici pour fonctionner
    layout: _react2.default.PropTypes.objectOf(_react2.default.PropTypes.element),
    labelClassName: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.array, _react2.default.PropTypes.object])
  },

  contextTypes: {
    layout: _react2.default.PropTypes.object,
    labelClassName: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.array, _react2.default.PropTypes.object])
  },
  getDefaultProps: function getDefaultProps() {
    return {
      disabled: false,
      onChange: function onChange() {},
      onFocus: function onFocus() {},
      onBlur: function onBlur() {}
    };
  },

  getLayout: function getLayout() {
    var defaultProperty = this.context.layout || 'horizontal';
    return this.props.layout ? this.props.layout : defaultProperty;
  },

  getLabelClassName: function getLabelClassName() {
    return this.context.labelClassName ? this.context.labelClassName : this.props.labelClassName ? this.props.labelClassName : '';
  },

  getValidationState: function getValidationState() {
    return this.isPristine() ? '' : this.isValid() ? 'success' : this.showError() ? 'error' : undefined;
  }

};